Solve Problem TypeError: sequence index must be integer, not ‘slice’

Beberapa waktu lalu saya memiliki permasalahan untuk koneksi ke database postgresql dengan muncul error message : TypeError: sequence index must be integer, not ‘slice’ .

Error ini terjadi apabila kalian menggunakan database postgresql dengan menggunakan koneksi psycopg2. Kesalahan ini terjadi ketika versi django, python, psycopg dan psycopg-binary nya tidak saling compatible versioningnya.

Disini saya ingin share yang compatible librarynya dengan python 3.5 dan django versi 2 :

pip install psycopg2==2.7.7

pip install psycopg-binary==2.8.4

Sekarang lakukan restart service dan jalankan kembali service python kalian.

Leave a Reply

Your email address will not be published. Required fields are marked *